package com.glxp.udi.admin.controller.udidl;

import com.glxp.udi.admin.annotation.AuthRuleAnnotation;
import com.glxp.udi.admin.req.ListPageRequest;
import com.glxp.udi.admin.req.feign.DateRange;
import com.glxp.udi.admin.service.udidl.UdidlService;
import com.glxp.udi.admin.util.DateUtil;
import com.glxp.udi.common.res.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

@RestController
@RequestMapping("/file")
public class FileInfoController {
    @Autowired
    UdidlService udidlService;

    @AuthRuleAnnotation("")
    @PostMapping("/getlist")
    public BaseResponse getList(@RequestBody ListPageRequest param) {
        return udidlService.file_getList(param);
    }
    @AuthRuleAnnotation("")
    @PostMapping("/exportToFile")
    public BaseResponse exportToFile(@DateTimeFormat(pattern = "yyyy-MM-dd") Date startDate, @DateTimeFormat(pattern = "yyyy-MM-dd") Date endDate) {
        return udidlService.exportToFile(new DateRange(startDate,endDate));
    }
}
