package com.glxp.udi.admin.controller.udidl;

import com.glxp.udi.admin.annotation.AuthRuleAnnotation;
import com.glxp.udi.admin.req.feign.SysMenuModel;
import com.glxp.udi.admin.service.udidl.UdidlService;
import com.glxp.udi.common.res.BaseResponse;
import feign.Param;
import feign.RequestLine;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class SysMenuController {
    @Resource
    UdidlService udidlService;

    @AuthRuleAnnotation("")
    @PostMapping("/sys/menu/list")
    public BaseResponse list() {
        return udidlService.sysMenu_list();
    }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/menu/insert")
    public BaseResponse insert(@RequestBody SysMenuModel model){
        return udidlService.sysMenu_insert(model);
    }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/menu/update")
    public BaseResponse update(@RequestBody SysMenuModel model) {
        return udidlService.sysMenu_update(model);
    }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/menu/detail")
    public BaseResponse detail(Integer id) {
        return udidlService.sysMenu_detail(id);
    }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/menu/delete")
    public BaseResponse delete(Integer id){
        return udidlService.sysMenu_delete(id);
    }
}
