package com.glxp.udi.admin.controller.udidl;

import com.glxp.udi.admin.annotation.AuthRuleAnnotation;
import com.glxp.udi.admin.req.feign.SysRoleMenuModel;
import com.glxp.udi.admin.req.feign.SysRoleModel;
import com.glxp.udi.admin.req.feign.SysRoleParam;
import com.glxp.udi.admin.service.udidl.UdidlService;
import com.glxp.udi.common.res.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class SysRoleController {
    @Resource
    UdidlService udidlService;

    @AuthRuleAnnotation("")
    @PostMapping("/sys/role/list")
    public BaseResponse list(@RequestBody SysRoleParam param) {
        return udidlService.sysRole_list(param);
    }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/role/insert")
    public BaseResponse insert(@RequestBody SysRoleModel model){
        return udidlService.sysRole_insert(model);
    }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/role/update")
    public BaseResponse update(@RequestBody SysRoleModel model) {
        return udidlService.sysRole_update(model);
    }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/role/detail")
    public BaseResponse detail(Integer id) {
        return udidlService.sysRole_detail(id);
    }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/role/delete")
    public BaseResponse delete(Integer id){
        return udidlService.sysRole_delete(id);
    }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/role/getRoleMenu")
    public BaseResponse getRoleMenu(Integer roleId){ return udidlService.sysRole_getRoleMenu(roleId); }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/role/saveRoleMenu")
    public BaseResponse saveRoleMenu(@RequestBody SysRoleMenuModel model){ return udidlService.sysRole_saveRoleMenu(model);}
}
