package com.glxp.udi.admin.controller.udidl;

import com.glxp.udi.admin.annotation.AuthRuleAnnotation;
import com.glxp.udi.admin.req.feign.SysRoleModel;
import com.glxp.udi.admin.req.feign.SysRoleParam;
import com.glxp.udi.admin.req.feign.SysUserModel;
import com.glxp.udi.admin.req.feign.SysUserParam;
import com.glxp.udi.admin.service.udidl.UdidlService;
import com.glxp.udi.common.res.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class SysUserController {
    @Resource
    UdidlService udidlService;

    @AuthRuleAnnotation("")
    @PostMapping("/sys/user/list")
    public BaseResponse list(@RequestBody SysUserParam param) {
        return udidlService.sysUser_list(param);
    }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/user/insert")
    public BaseResponse insert(@RequestBody SysUserModel model){
        return udidlService.sysUser_insert(model);
    }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/user/update")
    public BaseResponse update(@RequestBody SysUserModel model) {
        return udidlService.sysUser_update(model);
    }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/user/detail")
    public BaseResponse detail(Integer id) {
        return udidlService.sysUser_detail(id);
    }
    @AuthRuleAnnotation("")
    @PostMapping("/sys/user/delete")
    public BaseResponse delete(Integer id){
        return udidlService.sysUser_delete(id);
    }
}
