package com.glxp.udi.admin.controller.udidl;

import com.glxp.udi.admin.annotation.AuthRuleAnnotation;
import com.glxp.udi.admin.req.feign.DateRange;
import com.glxp.udi.admin.service.udidl.UdidlService;
import com.glxp.udi.common.res.BaseResponse;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Date;

@RestController
public class UdidlDeviceController {
    @Resource
    UdidlService udidlService;

    @AuthRuleAnnotation("")
    @GetMapping("udidl/device/dlByDays")
    public BaseResponse dlByDays(@DateTimeFormat(pattern = "yyyy-MM-dd") Date startDate, @DateTimeFormat(pattern = "yyyy-MM-dd") Date endDate) {
       return udidlService.dlByDays(new DateRange(startDate,endDate));
    }
    @AuthRuleAnnotation("")
    @GetMapping("udidl/device/dlByDay")
    public BaseResponse dlByDay(String day) {
       return udidlService.dlByDay(day);
    }
    @AuthRuleAnnotation("")
    @PostMapping("udidl/device/dlByDi")
    public BaseResponse downloadByDi(String deviceId) {
        return udidlService.downloadByDi(deviceId);
    }

    /**
     * 获取产品标识详情
     *
     * @param deviceId
     * @return
     */
    @AuthRuleAnnotation("")
    @PostMapping("udidl/device/downloadSingle")
    public BaseResponse downloadSingle(String deviceId) {
        return udidlService.downloadSingle(deviceId);
    }
    @AuthRuleAnnotation("")
    @PostMapping("udidl/device/downloadHistory")
    public BaseResponse downloadHistory(String key) {
        return udidlService.downloadHistory(key);
    }
}
