package com.glxp.udi.admin.controller.udidl;

import com.glxp.udi.admin.annotation.AuthRuleAnnotation;
import com.glxp.udi.admin.config.GlobalConfig;
import com.glxp.udi.admin.req.feign.BaseParam;
import com.glxp.udi.admin.req.feign.UdplatGoodsParam;
import com.glxp.udi.admin.service.udidl.UdidlService;
import com.glxp.udi.admin.service.udidl.UdidlServiceRun;
import com.glxp.udi.common.res.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;

@RestController
public class UdplatGoodsController {
    @Resource
    UdidlService udidlService;
    @Autowired
    UdidlServiceRun udidlServiceRun;
    @Autowired
    GlobalConfig globalConfig;

    @AuthRuleAnnotation("")
    @PostMapping("/udplat/goods/list")
    public BaseResponse getList(@RequestBody UdplatGoodsParam param){
        return udidlService.udplatGoods_getList(param);
    }
    @AuthRuleAnnotation("")
    @PostMapping("udplat/goods/export")
    public BaseResponse export(@RequestBody UdplatGoodsParam param){
        BaseResponse res = udidlService.udplatGoods_export(param);
        if(res.getCode()!=20000)
            return res;
        String url=globalConfig.getUDI_SERVER_URL()+ res.getData();
        res.setData(url);
        return res;
    }
   /* public void export(HttpServletResponse response){
        udidlServiceRun.udplatGoods_export(response);
    }*/
    @AuthRuleAnnotation("")
    @PostMapping("/udplat/goods/detail")
    public BaseResponse detail(Integer id){
        return udidlService.udplatGoods_detail(id);
    }
}
