package com.glxp.udi.admin.controller.udidl;

import com.alibaba.fastjson.JSON;
import com.glxp.udi.admin.annotation.AuthRuleAnnotation;
import com.glxp.udi.admin.req.feign.BaseParam;
import com.glxp.udi.admin.req.feign.UdplatGoodsMatchModel;
import com.glxp.udi.admin.req.feign.UdplatGoodsMatchParam;
import com.glxp.udi.admin.service.udidl.UdidlService;
import com.glxp.udi.common.res.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class UdplatGoodsMatchController {
    @Resource
    UdidlService udidlService;

    @AuthRuleAnnotation("")
    @PostMapping("udplat/goodsMatch/list")
    public BaseResponse getList(@RequestBody UdplatGoodsMatchParam param){
        return udidlService.udplatGoodsMatch_getList(param);
    }
    @AuthRuleAnnotation("")
    @PostMapping("udplat/goodsMatch/productlist")
    public BaseResponse getProductList(String key){
        return udidlService.udplatGoodsMatch_getProductList(key);
    }

    @AuthRuleAnnotation("")
    @PostMapping("udplat/goodsMatch/productDetail")
    public BaseResponse getProductInfoByUuid(String uuid){
        return udidlService.udplatGoodsMatch_getProductInfoByUuid(uuid);
    }
    @AuthRuleAnnotation("")
    @PostMapping("udplat/goodsMatch/save")
    public BaseResponse save(@RequestBody UdplatGoodsMatchModel model){
        return udidlService.udplatGoodsMatch_save(model);
    }
    @AuthRuleAnnotation("")
    @PostMapping("udplat/goodsMatch/searchByName")
    public BaseResponse searchByName(String name){
        return udidlService.udplatGoodsMatch_searchByName(name);
    }
}
