package com.glxp.udi.admin.dao.inout;

import com.glxp.udi.admin.entity.inout.UdiInfoEntity;
import com.glxp.udi.admin.req.inout.FilterUdiInfoRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UdiInfoDao {

    List<UdiInfoEntity> filterUdiInfo(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiInfoEntity> filterUdiInfoGp(FilterUdiInfoRequest filterUdiInfoRequest);

    UdiInfoEntity findByNameCode(@Param("nameCode") String nameCode, @Param("customerId") String customerId);

    UdiInfoEntity findByUuid(@Param("uuid") String uuid, @Param("customerId") String customerId);

    List<UdiInfoEntity> findByUuids(@Param("uuid") String uuid, @Param("customerId") String customerId);


    UdiInfoEntity selectById(@Param("id") String id);

    boolean insertUdiInfo(UdiInfoEntity udiInfoEntity);

    boolean insertUdiInfos(@Param("udiInfoEntities") List<UdiInfoEntity> udiInfoEntities);

    boolean updateUdiInfo(UdiInfoEntity udiInfoEntity);

    boolean updateUdiInfoByUuid(UdiInfoEntity udiInfoEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByUuid(@Param("uuid") String uuid, @Param("customerId") String customerId);

}
