package com.glxp.udi.admin.service.info.impl;

import org.springframework.beans.factory.annotation.Autowired;
import com.glxp.udi.admin.dao.info.PlatformDao;
import com.glxp.udi.admin.entity.info.PlatformEntity;
import com.glxp.udi.admin.service.info.PlatformService;
import org.springframework.stereotype.Service;
import lombok.extern.slf4j.Slf4j;
import com.alibaba.fastjson.JSON;
import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import com.glxp.udi.admin.util.UuidUtils;
import org.apache.commons.lang3.StringUtils;
@Service
@Slf4j
public class PlatformServiceImpl implements PlatformService {

	@Resource
    PlatformDao platformDao;
    
    @Override
    public int save(PlatformEntity platformEntity){
    	if(StringUtils.isEmpty(platformEntity.getId()))
    		platformEntity.setId(UuidUtils.getUUId());
    	return platformDao.save(platformEntity);
    }
    @Override
    public int batchSave(List<PlatformEntity> list){
    	return platformDao.batchSave(list);
    }
    @Override
    public int remove(String id){
    	return platformDao.remove(id);
    }
    
    @Override
    public int update(PlatformEntity platformEntity){
    	if(StringUtils.isEmpty(platformEntity.getId()))
    		return save(platformEntity);
    	return platformDao.update(platformEntity);
    }
    
    @Override
    public List<PlatformEntity> list(Map<String, Object> map){
    	return platformDao.list(map);
    }
    @Override
    public int count(Map<String, Object> map) {
    	return platformDao.count(map);
    }
    
    @Override
    public PlatformEntity get(String id) {
    	return platformDao.get(id);
    }
}
