package com.glxp.udi.admin.service.udidl;

import com.glxp.udi.admin.annotation.AuthRuleAnnotation;
import com.glxp.udi.admin.req.ListPageRequest;
import com.glxp.udi.admin.req.feign.*;
import com.glxp.udi.common.res.BaseResponse;
import feign.Param;
import feign.QueryMap;
import feign.RequestLine;
import feign.Response;
import org.springframework.web.bind.annotation.RequestBody;



public interface UdidlService {
    //<editor-fold desc="国家库同步">
    @RequestLine("POST /jobLog/list")
    BaseResponse jobLog_getList(@RequestBody JobLogFilterRequest jobLogFilterRequest);
    @RequestLine("GET /udidl/device/dlByDays")
    BaseResponse dlByDays(@QueryMap DateRange dateRange);
    @RequestLine("GET /udidl/device/dlByDay?day={day}")
    BaseResponse dlByDay(@Param("day") String day);
    @RequestLine("GET /udidl/device/dlByDi?deviceId={deviceId}")
    BaseResponse downloadByDi(@Param("deviceId") String deviceId);
    @RequestLine("POST /udidl/device/downloadSingle?deviceId={deviceId}")
    BaseResponse downloadSingle(@Param("deviceId") String deviceId) ;
    @RequestLine("POST /udidl/device/downloadHistory?key={key}")
    BaseResponse downloadHistory(@Param("key") String key) ;
    //</editor-fold>

    //<editor-fold desc="文件管理">
    @RequestLine("POST /file/getlist")
    BaseResponse file_getList(@RequestBody ListPageRequest param);
    @RequestLine("POST /file/exportToFile")
    BaseResponse exportToFile(@QueryMap DateRange dateRange);
    //</editor-fold>

    //<editor-fold  desc="阳关采购平台">

    /**
     * 配送企业查询
     * @param param
     * @return
     */
    @RequestLine("POST /udplat/distributor/list")
    BaseResponse udplatDistributor_getList(@RequestBody BaseParam param);

    /**
     * 目录清单查询
     * @param param
     * @return
     */
    @RequestLine("POST /udplat/goods/list")
    BaseResponse udplatGoods_getList(@RequestBody UdplatGoodsParam param);
    @RequestLine("POST /udplat/goods/detail?id={id}")
    BaseResponse udplatGoods_detail(@Param("id") Integer id);
    @RequestLine("POST /udplat/goods/export")
    BaseResponse udplatGoods_export(@RequestBody UdplatGoodsParam param);
    /**
     * 医疗机构查询
     * @param param
     * @return
     */
    @RequestLine("POST /udplat/hospital/list")
    BaseResponse udplatHospital_getList(@RequestBody BaseParam param);

    /**
     * 生产企业查询
     * @param param
     * @return
     */
    @RequestLine("POST /udplat/manufacture/list")
    BaseResponse udplatManufacture_getList(@RequestBody BaseParam param);
    @RequestLine("GET /udplat/manufacture/export")
    Response udplatManufacture_export();
    /**
     * 日志查询
     * @param param
     * @return
     */
    @RequestLine("POST /udplat/log/list")
    BaseResponse udplatLog_getList(@RequestBody JobLogFilterRequest param);
    @RequestLine("POST /udplat/log/udplatSync?tbName={tbName}")
    BaseResponse udplatLog_udplatSync(@Param("tbName")String tbName);

    @RequestLine("POST /udplat/goodsMatch/list")
    BaseResponse udplatGoodsMatch_getList(@RequestBody UdplatGoodsMatchParam param);
    @RequestLine("POST /udplat/goodsMatch/productlist?key={key}")
    BaseResponse udplatGoodsMatch_getProductList(@Param("key") String key);
    @RequestLine("POST /udplat/goodsMatch/productDetail?uuid={uuid}")
    BaseResponse udplatGoodsMatch_getProductInfoByUuid(@Param("uuid") String uuid);
    @RequestLine("POST /udplat/goodsMatch/save")
    BaseResponse udplatGoodsMatch_save(@RequestBody UdplatGoodsMatchModel model);
    @RequestLine("POST /udplat/goodsMatch/searchByName?name={name}")
    BaseResponse udplatGoodsMatch_searchByName(@Param("name") String name);

    //系统权限相关
    @RequestLine("POST /sys/menu/list")
    BaseResponse sysMenu_list();
    @RequestLine("POST /sys/menu/insert")
    BaseResponse sysMenu_insert(@RequestBody SysMenuModel model);
    @RequestLine("POST /sys/menu/update")
    BaseResponse sysMenu_update(@RequestBody SysMenuModel model);
    @RequestLine("POST /sys/menu/detail?id={id}")
    BaseResponse sysMenu_detail(@Param("id") Integer id);
    @RequestLine("POST /sys/menu/delete?id={id}")
    BaseResponse sysMenu_delete(@Param("id") Integer id);

    @RequestLine("POST /sys/role/list")
    BaseResponse sysRole_list(@RequestBody SysRoleParam param);
    @RequestLine("POST /sys/role/insert")
    BaseResponse sysRole_insert(@RequestBody SysRoleModel model);
    @RequestLine("POST /sys/role/update")
    BaseResponse sysRole_update(@RequestBody SysRoleModel model);
    @RequestLine("POST /sys/role/detail?id={id}")
    BaseResponse sysRole_detail(@Param("id") Integer id);
    @RequestLine("POST /sys/role/delete?id={id}")
    BaseResponse sysRole_delete(@Param("id") Integer id);
    @RequestLine("POST /sys/role/getRoleMenu?roleId={roleId}")
    BaseResponse sysRole_getRoleMenu(@Param("roleId") Integer roleId);
    @RequestLine("POST /sys/role/saveRoleMenu")
    BaseResponse sysRole_saveRoleMenu(@RequestBody SysRoleMenuModel model);

    @RequestLine("POST /sys/user/list")
    BaseResponse sysUser_list(@RequestBody SysUserParam param);
    @RequestLine("POST /sys/user/insert")
    BaseResponse sysUser_insert(@RequestBody SysUserModel model);
    @RequestLine("POST /sys/user/update")
    BaseResponse sysUser_update(@RequestBody SysUserModel model);
    @RequestLine("POST /sys/user/detail?id={id}")
    BaseResponse sysUser_detail(@Param("id") Integer id);
    @RequestLine("POST /sys/user/delete?id={id}")
    BaseResponse sysUser_delete(@Param("id") Integer id);
    //</editor-fold>
}
