package com.glxp.udi.admin.service.udidl;

import com.glxp.udi.admin.config.GlobalConfig;
import com.glxp.udi.admin.req.feign.BaseParam;
import com.glxp.udi.admin.util.HttpClient;
import com.glxp.udi.common.res.BaseResponse;
import feign.RequestLine;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.BufferedOutputStream;
import java.util.HashMap;
import java.util.Map;

@Service
public class UdidlServiceRun {
    @Autowired
    GlobalConfig globalConfig;
    public void udplatManufacture_export(HttpServletResponse response){
        export(response,"/udplat/manufacture/export","manufacture");
    }
    public void udplatGoods_export(HttpServletResponse response) {
        export(response,"/udplat/goods/export","udplatGoods");
    }
    public void udplatDistributor_export(HttpServletResponse response) {
        export(response,"/udplat/distributor/export","distributor");
    }
    public void udplatHospital_export(HttpServletResponse response) {
        export(response,"/udplat/hospital/export","hospital");
    }
    private void export(HttpServletResponse response,String url,String fileName){
        String fullUrl=globalConfig.getUDI_SERVER_URL()+url;
        Map<String,String> headerMap = new HashMap<>();
        headerMap.put("key",globalConfig.getUDI_SERVER_Key());
        ResponseEntity<byte[]> res = HttpClient.getFile(fullUrl,headerMap);
        response.setCharacterEncoding("utf-8");
        response.setContentType("application/octet-stream");
        response.setHeader("content-type","application/octet-stream");
        response.addHeader("Content-Disposition","attachment;filename="+fileName+".json");
        BufferedOutputStream buff=null;
        ServletOutputStream outStr = null;
        try{
            outStr = response.getOutputStream();
            buff = new BufferedOutputStream(outStr);
            buff.write(res.getBody());
            buff.flush();
            buff.close();
        }catch (Exception e){

        }finally {
            try{
                buff.close();;
                outStr.close();
            }catch (Exception e){}

        }
    }
}
